23 February 2018

> **Important**: [Review the documentation](https://docs.projectcalico.org/v3.0/getting-started/kubernetes/upgrade/) carefully before attempting an upgrade.
> You must upgrade to Calico v2.6.5 or later before you can upgrade to Calico v3.0.3.
{: .alert .alert-danger}

#### Bug Fixes

- Improved error messages when failing to initialize a connection to etcd [libcalico-go #794](https://github.com/projectcalico/libcalico-go/pull/794) (@ozdanborne)

- Ignore hidden files when checking for etcd certificates to copy over when installing CNI. [cni-plugin #473](https://github.com/projectcalico/cni-plugin/pull/473) (@tmjd)

#### Limitations

- **Offers only Kubernetes, OpenShift, and host endpoint integrations**: the
    OpenStack, Mesos, DC/OS, rkt, and Docker orchestrators have not been tested
    and are not supported. (Calico still supports Docker and rkt containers.)
    We plan to resume support for the OpenStack, Mesos, DC/OS, and Docker
    orchestrators in a future release.

- **GoBGP not supported**: Setting the `CALICO_NETWORKING_BACKEND` environment
    variable to `gobgp` is not supported. See [Configuring calico/node](https://docs.projectcalico.org/v3.0/reference/node/configuration)
    for more information. We plan to resume support for GoBGP in a future release.

- **Route reflectors cannot be clustered**: We plan to resume support for
    this in a future release.
